/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef WPROBLEM_H
#define WPROBLEM_H

#include "fdtd.h"
#include "wObject.h"
#include <memory>
#include <iostream>
#include <vector>

namespace fdtd
{

/**
 * @brief a class containing the problem parameters
 */

class FDTD_API Problem : public fwk::wSharedObject
{
public:
    Problem();
    virtual ~Problem();

#ifndef SWIG
    virtual void write(std::ostream &out) const override;
#endif
};
} // namespace fdtd

#endif //WPROBLEM_H
