clear all
close all
clc
format long

L = 1;
n = 1:31;
ni = [1,3,7,15,31];

[ theta, eigenvaluesA, eigenvaluesAh] = oneDLaplacianEigenvalues( n, L );

eigenvaluesAh(:,ni)

figure
subplot(2,2,1)
hold on
for i=1:length(n)
    for j=1:n(i)
        if j>(n(i)/2)
            plot(i,eigenvaluesA(j,i),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','g',...
            'MarkerFaceColor','g');
        else
            plot(i,eigenvaluesA(j,i),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','r',...
            'MarkerFaceColor','r');
        end
    end
end
for i=1:(length(n)-1)
    plot([i,i+1],[eigenvaluesA(n(i),i),eigenvaluesA(n(i+1),i+1)],'k','linewidth',2)
    plot([i,i+1],[eigenvaluesA(1,i),eigenvaluesA(1,i+1)],'k','linewidth',2)
end
hold off
grid on
box on

subplot(2,2,2)
hold on
for i=1:length(n)
    for j=1:n(i)
        if j>(n(i)/2)
            plot(i,eigenvaluesAh(j,i),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','g',...
            'MarkerFaceColor','g');
        else
            plot(i,eigenvaluesAh(j,i),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','r',...
            'MarkerFaceColor','r');
        end
    end
end
for i=1:(length(n)-1)
    plot([i,i+1],[eigenvaluesAh(n(i),i),eigenvaluesAh(n(i+1),i+1)],'k','linewidth',2)
    plot([i,i+1],[eigenvaluesAh(1,i),eigenvaluesAh(1,i+1)],'k','linewidth',2)
end
hold off
grid on
box on

subplot(2,2,3)
hold on
for i=1:length(ni)
    for j=1:ni(i)
        if j>(n(ni(i))/2)
            plot(n(ni(i)),eigenvaluesA(j,ni(i)),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','g',...
            'MarkerFaceColor','g');
        else
            plot(n(ni(i)),eigenvaluesA(j,ni(i)),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','r',...
            'MarkerFaceColor','r');
        end
    end
end
for i=1:(length(n)-1)
    plot([i,i+1],[eigenvaluesA(n(i),i),eigenvaluesA(n(i+1),i+1)],'k','linewidth',2)
    plot([i,i+1],[eigenvaluesA(1,i),eigenvaluesA(1,i+1)],'k','linewidth',2)
end
hold off
grid on
box on

subplot(2,2,4)
hold on
for i=1:length(ni)
    for j=1:n(ni(i))
        if j>(n(ni(i))/2)
            plot(n(ni(i)),eigenvaluesAh(j,ni(i)),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','g',...
            'MarkerFaceColor','g');
        else
            plot(n(ni(i)),eigenvaluesAh(j,ni(i)),'o','LineWidth',1,...
            'MarkerSize',8,...
            'MarkerEdgeColor','r',...
            'MarkerFaceColor','r');
        end
    end
end
for i=1:(length(n)-1)
    plot([i,i+1],[eigenvaluesAh(n(i),i),eigenvaluesAh(n(i+1),i+1)],'k','linewidth',2)
    plot([i,i+1],[eigenvaluesAh(1,i),eigenvaluesAh(1,i+1)],'k','linewidth',2)
end
hold off
grid on
box on