#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# TODO: il manque une source...

import waves as w
import tbox.gmsh as gmsh
import waves.wtools as wt


def main():
    msh = gmsh.MeshLoader("cas1.geo", __file__).execute()

    pbl = w.Problem(msh)

    L=250.0
    nl=60
    Le=L/nl
    c=1500.0
    dt=Le/c/2

    scheme = w.ForwardEuler(msh, pbl)
    scheme.ttot = 0.2*100
    scheme.dt = dt
    scheme.savefreq=5
    scheme.nthreads=8

    print("dt=", dt)
    print("nsteps=", int(scheme.ttot/dt))

    w.Medium(pbl, "Volume", c)

    print(pbl)

    usegui=1
    if not usegui:
        scheme.start()
    else:
        import waves.viewer as v
        gui = v.MeshViewer(msh, scheme)
        gui.start()

if __name__ == "__main__":
    main()
